Name:           ksnip
Summary:     	Screenshot tool
License:        GPLv2
Version:        1.1.0 
Release:       	%mkrel 1
Group:          Graphics
URL:            https://github.com/damirporobic/ksnip
Source0:        https://dl.opendesktop.org/api/files/download/id/1477218360/%{name}-%{version}.tar.xz
#------------------------------------------------------------------------------------
BuildRequires: cmake
BuildRequires:	%{_lib}x11-devel
BuildRequires:  %{_lib}qt4-devel
#------------------------------------------------------------------------------------

%description
Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the Window Snipping Tool.
It was targeted to be simple and to provide features for quickly taking screenshots and add easily notes and drawings to it.

Let me know what you think or if you would like to see new features, comments are welcome.

Features include:
* Taking Screenshot of a custom rectangular area that can be drawn with mouse cursor
* Taking screenshot of the screen/monitor where the mouse cursor is currently located
* Taking screenshot of full screen, including all screens/monitors
* Taking screenshot of window that currently has focus
* Customizable capture delay
* Drawing on captured screenshot with two different tools, pen (opaque) and maker (semi-transparent)
* Customizable color and size for drawing tool
* Any drawing can be moved around without deleting it by simply dragging it to new location
* Cropping captured screensshot, including any drawing on the captured image
* Command line support, for taking screenshot and saving it to default location, filename and format
* Customizable default location, filename and format for saving new screenshots with wildcards for Year ($Y), Month ($M), Day ($D) and Time ($T)----------------------------------------------------
%prep
%setup -qn %{name}-%{version}

%build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
mv %{buildroot}/bin %{buildroot}/usr/
desktop-file-install --vendor="" \
  --add-category="Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Jan 10 2017 adrianomorselli <adrianomorselli> 1.1.0-1uplos2017
- rebuild

* Sat Oct 29 2016 daniel <meisssw01 at gmail.com> 1.1.0-1pclos2016
- create package for pclos
